{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine btree.extract, update_index, rlist, end_dialog\r\ndeclare function msg, key_sort, utility, fieldcount, ex_vm_rem\r\n$insert lsl_users_equ\r\n$insert msg_equates\r\n\r\nopen 'DICT.REACTOR_PM' to DictReactorPMTable else\r\n   Void = msg( '', 'Unable to open DICT.REACTOR_PM...' )\r\n   return 0\r\nend\r\nLastDoneFrom  = .last_done_from->text\r\nLastDoneThru  = .last_done_thru->text\r\nNextDoneFrom  = .next_done_from->text\r\nNextDoneThru  = .next_done_thru->text\r\nCompleteFrom  = .complete_from->text\r\nCompleteThru  = .complete_thru->text\r\nReactServs    = .react_servs->array<1>\r\nReactServs    = ex_vm_rem(ReactServs)\r\nReactors      = .reactors->array\r\nReactors      = ex_vm_rem(Reactors)\r\nNotCompleted  = .not_completed->check\r\nFirstSort     = .sort_options_1->value\r\nSecondSort    = .sort_options_2->value\r\nThirdSort     = .sort_options_3->value\r\n\r\nif LastDoneFrom And LastDoneThru Then\r\n   if LastDoneFrom <= LastDoneThru else\r\n      MsgInfo = ''\r\n      MsgInfo<mtext$> = 'Last Date Thru must be equal to or greater than Last Date From!' \r\n      MsgInfo<micon$> = '!'\r\n      Void = msg( '', MsgInfo )\r\n      Return 0\r\n   end \r\nEnd\r\n\r\nif NextDoneFrom And NextDoneThru Then\r\n   if NextDoneFrom <= NextDoneThru else\r\n      MsgInfo = ''\r\n      MsgInfo<mtext$> = 'Next Date Thru must be equal to or greater than Next Date From!' \r\n      MsgInfo<micon$> = '!'\r\n      Void = msg( '', MsgInfo )\r\n      Return 0\r\n   End\r\nEnd\r\n\r\nif CompleteFrom and CompleteThru then\r\n   if CompleteFrom <= CompleteThru else\r\n      MsgInfo = ''\r\n      MsgInfo<mtext$> = 'Complete Date Thru must be equal to or greater than Complete Date From!' \r\n      MsgInfo<micon$> = '!'\r\n      Void = msg( '', MsgInfo )\r\n      Return 0\r\n   End\r\nEnd\r\n    \r\nRetVal  = '' \r\nRetVal := LastDoneFrom:'*'     ;*Last_Done\r\nRetVal := LastDoneThru:'*'     ;*Last_Done\r\nRetVal := NextDoneFrom:'*'     ;*Next_Done\r\nRetVal := NextDoneThru:'*'     ;*Next_Done\r\nRetVal := CompleteFrom:'*'     ;*Complete_Date\r\nRetVal := CompleteThru:'*'     ;*Complete_Date\r\nRetVal := ReactServs:'*'       ;*Reactor_Servers  \r\nRetVal := Reactors:'*'         ;*Reactors\r\nRetVal := NotCompleted:'*'     ;*Incomplete\r\nRetVal := FirstSort:'*'        ;*Order By\r\nRetVal := SecondSort:'*'       ;*Then By 2\r\nRetVal := ThirdSort            ;*Then By 3\r\n\r\nend_dialog( @window, RetVal )\r\n\r\n\t\t\r\nreturn 0\r\n\r\n\r\n"
        }
    }
}